const { FaaSStarter } = require('@midwayjs/faas');
const { asyncWrapper, start } = require('@midwayjs/serverless-fc-starter');

const { registerFunctionToIocByConfig } = require('./registerFunction.js');
const { join } = require('path');

const picomatch = require('picomatch');
const layers = [];


let starter;
let runtime;
let inited = false;


const initializeMethod = async (initializeContext = {}) => {
  
  layers.unshift(engine => {
    engine.addRuntimeExtension({
      async beforeFunctionStart(runtime) {
        starter = new FaaSStarter({ baseDir: __dirname, initializeContext, applicationAdapter: runtime, middleware: [] });
        
        
        registerFunctionToIocByConfig({
  "functionList": [
    {
      "functionName": "controller",
      "functionHandler": "index-controller.handler",
      "functionFilePath": "lambda/index.js",
      "argsPath": "ctx.request.body.args"
    },
    {
      "functionName": "",
      "functionHandler": "index.handler",
      "functionFilePath": "lambda/index.js",
      "argsPath": "ctx.request.body.args"
    }
  ]
}, {
          baseDir: join(__dirname, 'dist'),
          context: starter.loader.getApplicationContext()
        });
        
        await starter.start();
      }
    });
  })
  runtime = await start({
    layers: layers,
    getHandler: getHandler
  });
  
   inited = true; 
  
};

const getHandler = (hanlderName) => {
  
    if (hanlderName === 'handler') {
      return  starter.handleInvokeWrapper('index.handler'); 
    }
  
}




exports.initializer = asyncWrapper(async (...args) => {
  if (!inited) {
    await initializeMethod(...args);
  }
});


exports.handler = asyncWrapper(async (...args) => {
  if (!inited) {
    await initializeMethod();
  }
  

  const handler = getHandler('handler');
  return runtime.asyncEvent(handler)(...args);
});

