"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuntimeError = void 0;
class RuntimeError extends Error {
    constructor(message, errName, code) {
        super(message);
        this.name = 'RuntimeError';
        this.code = 1;
        this.name = errName || this.constructor.name;
        this.code = code || 1;
    }
    static create(errorObject) {
        let errName = errorObject.name || 'RuntimeError';
        if (!/Error$/.test(errName)) {
            errName += 'Error';
        }
        return new RuntimeError(errorObject.message, errName, errorObject.code);
    }
}
exports.RuntimeError = RuntimeError;
//# sourceMappingURL=error.js.map