"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugLogger = void 0;
/* istanbul ignore file */
const util_1 = require("../util");
class DebugLogger {
    constructor(prefix) {
        this.prefix = prefix || '';
        this.isDebugEnv = util_1.isDebug();
    }
    log(...args) {
        if (this.isDebugEnv) {
            if (this.prefix) {
                console.log(`[faas_debug:${this.prefix}]`, args);
            }
            else {
                console.log('[faas_debug]', args);
            }
        }
    }
    write(...args) {
        this.log(...args);
    }
    warn(...args) {
        this.log(...args);
    }
    info(...args) {
        this.log(...args);
    }
    error(...args) {
        this.log(...args);
    }
    debug(...args) {
        this.log(...args);
    }
}
exports.DebugLogger = DebugLogger;
//# sourceMappingURL=debug.js.map