"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPResponse = void 0;
class HTTPResponse {
    constructor() {
        this.statusCode = 200;
        this.headersSent = false;
        this._headers = {};
    }
    get headers() {
        return this._headers;
    }
    set headers(value) {
        this._headers = value;
    }
    getHeader(field) {
        return this.headers[field.toLowerCase()] || '';
    }
    removeHeader(field) {
        delete this.headers[field.toLowerCase()];
    }
    hasHeader(field) {
        return field.toLowerCase() in this.headers;
    }
    setHeader(name, value) {
        name = name.toLowerCase();
        this.headers[name] = value;
    }
}
exports.HTTPResponse = HTTPResponse;
//# sourceMappingURL=res.js.map